> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adjust an inventory

> Adjust an inventory

### Request body

`AdjustInventoryRequest`

<ParamField body="location_id" type="integer (int32)" required />

<ParamField body="lot_id" type="string,null" />

<ParamField body="performed_by" type="string,null" />

<ParamField body="quantity" type="string" required>
  Signed decimal quantity as a string (positive adds, negative removes).
</ParamField>

<ParamField body="reason" type="string" required />

<ParamField body="reference_id" type="string,null" />

<ParamField body="reference_type" type="string,null" />

<ParamField body="sku" type="string" required />

### Responses

<ResponseField name="200" type="LocationInventoryResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/warehouse-inventory/adjust' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "location_id": 1,
    "lot_id": null,
    "performed_by": null,
    "quantity": "string",
    "reason": "string",
    "reference_id": null,
    "reference_type": null,
    "sku": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "location_id": 1,
    "lot_id": null,
    "quantity_available": "string",
    "quantity_on_hand": "string",
    "quantity_reserved": "string",
    "sku": "string",
    "updated_at": "string"
  }
  ```
</ResponseExample>
